<template>
  <nav class="navbar__row">
    <div class="navbar__logo">
      <NuxtLink class="link" to="/">
        <span class="navbar__logo--emoji">🤠</span>
        <span class="navbar__logo--name">fabb.zone</span>
      </NuxtLink>
    </div>
    <div class="navbar__row">
      <!--todo find a way to use the nuxt-link-active classes-->
      <div v-if="$route.name === `about`" class="navbar__element">
        <NuxtLink class="link--active" to="/about">
          About
        </NuxtLink>
      </div>
      <div v-else class="navbar__element">
        <NuxtLink class="link" to="/about">
          About
        </NuxtLink>
      </div>
      <div v-if="$route.name === `contact`" class="navbar__element">
        <NuxtLink class="link--active" to="/contact">
          Contact
        </NuxtLink>
      </div>
      <div v-else class="navbar__element">
        <NuxtLink class="link" to="/contact">
          Contact
        </NuxtLink>
      </div>
      <button
        @click="switchTheme"
      >
        <Icon
          class="theme"
          :name="icon"
          :id="icon"
        />
      </button>
    </div>
  </nav>
</template>

<script setup lang="ts">
import { ref, onMounted } from 'vue';
const lightIcon = "system-uicons:sun"
const darkIcon = "system-uicons:moon"
const colorMode = useColorMode();
const icon = ref(lightIcon);

const switchTheme = () => {
  colorMode.preference = colorMode.value === "dark" ? "light" : "dark";
  icon.value = colorMode.preference === "light" ? lightIcon : darkIcon;
};

onMounted(() => {
  icon.value = colorMode.preference === "light" ? lightIcon : darkIcon;
});
</script>

<style lang="scss" scoped>
@import "assets/styles/_variables.scss";
.navbar {
  &__row {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin-bottom: 2rem;
  }
  
  &__logo {
    font-size: 0.75rem;
    &--emoji {
      font-size: 0.95rem;
    }

    @media screen and (max-width: $small-screen-width) {
      &--emoji {
        font-size: 1.1rem;
      }
      &--name {
        display: none;
      }
    }
  }
  &__element {
    font-family: "Sequel-45";
    text-transform: capitalize;
    padding-top: 0.25rem;
    font-size: 0.75rem;
    margin-right: 3.5rem;
    @media screen and (max-width: $small-screen-width) {
      margin-left: 1.5rem;
      margin-right: 0rem;
    }
  }
  &--disabled {
    color: $secondary-color;
  }
}
.link--active {
  color: inherit;
  text-decoration-line: underline;
  text-underline-offset: 10px;
}
.theme {
  height: auto;
  font-size: 1.0rem;
  cursor: pointer;
}
button, input[type="submit"], input[type="reset"] {
	background: none;
	color: inherit;
	border: none;
	padding: 0;
	font: inherit;
	cursor: pointer;
	outline: inherit;
}
</style>
